{
  description = "Opinionated Nixvim config as a flake";

  inputs = {
    ## nixvim uses it's own version, so this is only
    ## for explicitly installed packages and non nixvim config
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";

    nixvim = {
      url = "github:nix-community/nixvim";
    };

  };

  outputs = { self, nixpkgs, ... } @ inputs:
  {
    nixosModules = rec {
      nixvim-config = { config, ... }:
        let
          # Get system from the importing module's context
          system = nixpkgs.lib.systems.elaborate config.nixpkgs.hostPlatform;
          pkgs = nixpkgs.legacyPackages.${system.system};
        in
          import ./default.nix {
            inherit inputs;
            inherit pkgs;
          };
      default = nixvim-config;
    };
  };
}
